# $Revision: 1.15 $, $Date: 2002/09/08 14:46:06 $
%include	/usr/lib/rpm/macros.php
%define		_class		MDB
%define		_pearname	%{_class}
Summary:	%{_pearname} - Unified Database API
Summary(pl):	%{_pearname} - Zunifikowane API baz danych
Name:		php-pear-%{_pearname}
Version:	1.0
Release:	1
Epoch:		1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MDB is a merge of PEAR's DB and Metabases that provides a unified DB
API. It also provides methods for DB portability and DB feature
emulation. Most notably it features a DB independent XML-Schema
manager.

%description -l pl
MDB to poczenie PEAR DB i Metabases, ktre daje ujednolicone API do
baz danych. Zawiera take metody zapewniajce przenono i emulacj
waciwoci dla baz danych. Najwaniejsza cecha to niezaleny od bazy
danych menader schematw XML.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/

rm $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/*test.php
rm $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/Var_Dump.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{php_pear_dir}/%{_class}
%doc %{_pearname}-%{version}/{*.{txt,schema,html,xsl},*test.php,Var_Dump.php}
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-MDB.spec,v $
Revision 1.15  2002/09/08 14:46:06  kloczek
- Epoch: 1.

Revision 1.14  2002/09/08 14:38:38  blues
- 1.0 (stable) - STBR

Revision 1.13  2002/09/07 19:19:06  blues
- 1.0_RC4 - STBR

Revision 1.12  2002/09/05 10:15:56  blues
- 1.0_RC3 - fix in macros, more docs - STBR

Revision 1.11  2002/08/27 16:59:48  blues
- 1.0_RC2 - STBR

Revision 1.10  2002/08/11 20:38:56  blues
- 1.0_RC1 - first RC of this class; STBR

Revision 1.9  2002/08/05 11:19:47  blues
- 0.9.11
STBR

Revision 1.8  2002/07/30 23:08:57  blues
- 0.9.10
STBR

Revision 1.7  2002/07/17 15:52:27  blues
- 0.9.9
- updated patch
STBR

Revision 1.6  2002/07/12 17:34:19  blues
- release 2
- cosmetic patch - change case of class call - fixes requirements
- Req. added
- rebuild with new rpm

Revision 1.5  2002/07/12 09:12:34  blues
- location patch commented out - lets wait for authors reaction...

Revision 1.4  2002/07/04 21:53:34  blues
- 0.9.8
- added location patch
No STBR - this is not good class...

Revision 1.3  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.2  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.1  2002/06/27 20:19:24  blues
- MDB class
